## xen-api 0.1+1316474823

=== debian/changelog ===
xen-api (0.1+1316474823-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Tue, 20 Sep 2011 00:31:06 +0100

xen-api (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Thu, 07 Jul 2011 21:50:18 +0100

## xen-api 0.1+1317731199

=== debian/changelog ===
xen-api (0.1+1317731199-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Tue, 04 Oct 2011 23:55:07 +0100

## xen-api 0.1+1317911848

=== Makefile ===
ifdef B_BASE
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk
REPO=$(call gitloc,xen-api)
else
MY_OUTPUT_DIR ?= $(CURDIR)/output
MY_OBJ_DIR ?= $(CURDIR)/obj
REPO ?= $(CURDIR)

RPM_SPECSDIR?=$(shell rpm --eval='%_specdir')
RPM_SRPMSDIR?=$(shell rpm --eval='%_srcrpmdir')
RPM_SOURCESDIR?=$(shell rpm --eval='%_sourcedir')
RPMBUILD?=rpmbuild
XEN_RELEASE?=unknown
endif

BASE_PATH=$(shell scripts/base-path scripts/xapi.conf)

JQUERY=$(CARBON_DISTFILES)/javascript/jquery/jquery-1.1.3.1.pack.js
JQUERY_TREEVIEW=$(CARBON_DISTFILES)/javascript/jquery/treeview/jquery.treeview.zip

COMPILE_NATIVE=yes
COMPILE_BYTE=no # bytecode version does not build
export COMPILE_NATIVE COMPILE_BYTE

.PHONY: all
all: version
	omake phase1
	omake phase2
	omake phase3

.PHONY: phase3
phase3:
	omake phase3

.PHONY: install
install:
	omake install
	omake lib-uninstall
	omake lib-install

.PHONY: lib-install
lib-install:
	omake DESTDIR=$(DESTDIR) lib-install

.PHONY: lib-uninstall
lib-uninstall:
	omake DESTDIR=$(DESTDIR) lib-uninstall

.PHONY: sdk-install
sdk-install:
	omake sdk-install

.PHONY: clean
clean:
	omake clean
	omake lib-uninstall
	rm -rf dist/staging
	rm -f .omakedb .omakedb.lock xapi.spec

.PHONY: otags
otags:
	otags -vi -r . -o tags

.PHONY: doc
doc: api-doc api-libs-doc

.PHONY: api-doc
api-doc: version
	omake phase1 phase2 # autogenerated files might be required
	omake doc

.PHONY: api-libs-doc
api-libs-doc:
	@(cd ../xen-api-libs 2> /dev/null && $(MAKE) doc) || \
	 (echo ">>> If you have a myclone of xen-api-libs, its documentation will be included. <<<")

.PHONY: version
version:
	@printf "(* This file is autogenerated.  Grep for e17512ce-ba7c-11df-887b-0026b9799147 (random uuid) to see where it comes from. ;o) *) \n \
	let hg_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
	let hostname = \"$(shell hostname)\" \n \
	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
	let product_version = \"$(PRODUCT_VERSION)\" \n \
	let product_version_text = \"$(PRODUCT_VERSION_TEXT)\" \n \
	let product_version_text_short = \"$(PRODUCT_VERSION_TEXT_SHORT)\" \n \
	let product_brand = \"$(PRODUCT_BRAND)\" \n \
	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n" \
	> ocaml/util/version.ml

 .PHONY: clean
 clean:

.PHONY: xapi.spec
xapi.spec: xapi.spec.in
	sed -e 's/@RPM_RELEASE@/$(shell git rev-list HEAD | wc -l)/g' < $< > $@
	sed -i "s!@BASE_PATH@!${BASE_PATH}!g" $@

.PHONY: srpm
srpm: xapi.spec
	mkdir -p $(RPM_SOURCESDIR) $(RPM_SPECSDIR) $(RPM_SRPMSDIR)
	while ! [ -d .git ]; do cd ..; done; \
	git archive --prefix=xapi-0.2/ --format=tar HEAD | bzip2 -z > $(RPM_SOURCESDIR)/xapi-0.2.tar.bz2 # xen-api/Makefile
	cp $(JQUERY) $(JQUERY_TREEVIEW) $(RPM_SOURCESDIR)
	make -C $(REPO) version
	rm -f $(RPM_SOURCESDIR)/xapi-version.patch
	(cd $(REPO); diff -u /dev/null ocaml/util/version.ml > $(RPM_SOURCESDIR)/xapi-version.patch) || true
	cp -f xapi.spec $(RPM_SPECSDIR)/
	chown root.root $(RPM_SPECSDIR)/xapi.spec || true
	$(RPMBUILD) -bs --nodeps $(RPM_SPECSDIR)/xapi.spec


.PHONY: build
build: all

=== debian/changelog ===
xen-api (0.1+1317911848-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Thu, 06 Oct 2011 15:42:44 +0100

=== debian/control ===
Source: xen-api
Section: unknown
Priority: extra
Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Build-Depends: debhelper (>= 8.0.0), ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, xen-api-libs, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev
Standards-Version: 3.9.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/xen-api.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xen-api.git;a=summary

Package: xapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, squeezed, v6d, fe, xen-sm, xen-hypervisor-4.1, stunnel, hwdata
Recommends: vncterm
Description: The Xen API server
 The Xen API server, which allows the control of the virtual machines hosted via
 the XenAPI.

Package: xen-api-doc
Architecture: all
Description: documentation for xen-api
 <insert long description, indented with spaces>

Package: squeezed
Architecture: any
Depends: ${shlibs:Depends}, xen-hypervisor
Description: A daemon in charge of ballooning xen domains
 This daemon takes requests in the form of xenstore trees and balloons 
 domains up and down.

Package: v6d
Architecture: any
Description: The feature daemon for xapi. 
 It's only temporarily being installed until a better solution is 
 sorted.

Package: ocaml-xapi-client
Architecture: any
Description: The ocaml libraries for talking to xapi

Package: xapi-debug
Architecture: any
Description: Binary utils to help debug xapi

## xen-api 0.1+1317933935

=== debian/changelog ===
xen-api (0.1+1317933935-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Fri, 07 Oct 2011 00:08:01 +0100

## xen-api 0.1+1317993160

=== debian/changelog ===
xen-api (0.1+1317993160-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Fri, 07 Oct 2011 14:15:29 +0100

## xen-api 0.1+1318599985

=== debian/changelog ===
xen-api (0.1+1318599985-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Mon, 17 Oct 2011 01:51:10 +0100

## xen-api 0.1+1318845811

=== debian/changelog ===
xen-api (0.1+1318845811-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Mon, 17 Oct 2011 12:30:55 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
-Build-Depends: debhelper (>= 8.0.0), ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, xen-api-libs, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev
+Build-Depends: debhelper (>= 8.0.0), ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, xen-api-libs, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev, libounit-ocaml-dev
 Standards-Version: 3.9.2
 Homepage: <insert the upstream URL, if relevant>
 #Vcs-Git: git://git.debian.org/collab-maint/xen-api.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

clean: 
	dh clean
	find . -name "*.omc" | xargs rm

## xen-api 0.1+1318941016

=== debian/changelog ===
xen-api (0.1+1318941016-1) unstable; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@debian32.uk.xensource.com>  Tue, 18 Oct 2011 16:34:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: xapi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, squeezed, v6d, fe, xen-sm, xen-hypervisor-4.1, stunnel, hwdata
+Depends: ${shlibs:Depends}, ${misc:Depends}, squeezed, v6d, fe, xen-sm, xen-hypervisor-4.1, stunnel, hwdata, eliloader
 Recommends: vncterm
 Description: The Xen API server
  The Xen API server, which allows the control of the virtual machines hosted via

## xen-api 0.1+1319487496

=== debian/changelog ===
xen-api (0.1+1319487496-1) unstable; urgency=low

  * New autobuild version

 --  <jenkins@myvm.uk.xensource.com>  Tue, 25 Oct 2011 02:38:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
-Build-Depends: debhelper (>= 8.0.0), ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, xen-api-libs, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev, libounit-ocaml-dev
+Build-Depends: debhelper (>= 8.0.0), ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, dh-autoreconf, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, xen-api-libs, omake, libxen-ocaml-dev, libxen-ocaml-4.1, libpam-dev, zlib1g-dev, xen-utils, libxen-dev, libounit-ocaml-dev
 Standards-Version: 3.9.2
 Homepage: <insert the upstream URL, if relevant>
 #Vcs-Git: git://git.debian.org/collab-maint/xen-api.git
@@ -10,7 +10,7 @@
 
 Package: xapi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, squeezed, v6d, fe, xen-sm, xen-hypervisor-4.1, stunnel, hwdata, eliloader
+Depends: ${shlibs:Depends}, ${misc:Depends}, squeezed, v6d, fe, xen-sm, xen-hypervisor-4.1, xen-utils-4.1, stunnel, hwdata, eliloader
 Recommends: vncterm
 Description: The Xen API server
  The Xen API server, which allows the control of the virtual machines hosted via

## xen-api 1.3

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	omake DESTDIR=$(DESTDIR) lib-uninstall
 
 .PHONY: sdk-install
-sdk-install:
+sdk-install: doc
 	omake sdk-install
 
 .PHONY: clean
@@ -78,14 +78,17 @@
 .PHONY: version
 version:
 	@printf "(* This file is autogenerated.  Grep for e17512ce-ba7c-11df-887b-0026b9799147 (random uuid) to see where it comes from. ;o) *) \n \
-	let hg_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
+	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
 	let hostname = \"$(shell hostname)\" \n \
 	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
 	let product_version = \"$(PRODUCT_VERSION)\" \n \
 	let product_version_text = \"$(PRODUCT_VERSION_TEXT)\" \n \
 	let product_version_text_short = \"$(PRODUCT_VERSION_TEXT_SHORT)\" \n \
+	let platform_version = Util_inventory.lookup ~default:\"\" \"PLATFORM_VERSION\" \n \
 	let product_brand = \"$(PRODUCT_BRAND)\" \n \
-	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n" \
+	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
+	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
+	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
 	> ocaml/util/version.ml
 
  .PHONY: clean

=== mk/Makefile ===
# makefile for api component in build system
USE_BRANDING := yes
USE_BUILD_NUMBER := yes
IMPORT_BRANDING := yes
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO                   = $(call gitloc,xen-api)

STAGING                = $(REPO)/dist/staging
OUTPUT_XAPI            = $(MY_MAIN_PACKAGES)/xapi.tar.bz2
OUTPUT_XAPI_DEVEL      = $(MY_OUTPUT_DIR)/xapi-devel.tar.gz
OUTPUT_XAPI_SRC        = $(MY_SOURCES)/xen-api-src.tar.bz2

STAGING_CLI_RT         = $(REPO)/dist/cli-rt
OUTPUT_CLI_RT          = $(MY_OUTPUT_DIR)/cli-regress.tar.gz
OUTPUT_CLI_RPM_SOURCES = $(RPM_SOURCESDIR)/xe $(RPM_SOURCESDIR)/bash-completion

OUTPUT_DOCS            = $(MY_OUTPUT_DIR)/sdkiso
OUTPUT_WEBZIP          = $(MY_OUTPUT_DIR)/sdk-html.zip

JQUERY_PACK_DIST       = $(CARBON_DISTFILES)/javascript/jquery/jquery-1.1.3.1.pack.js
JQUERY_TV_DIST         = $(CARBON_DISTFILES)/javascript/jquery/treeview/jquery.treeview.zip

OUTPUT_DATAMODEL_DIR   = $(MY_OUTPUT_DIR)/datamodel

OUTPUT_SDK_DIR         = $(MY_OUTPUT_DIR)
OUTPUT_SDK             = $(MY_OUTPUT_DIR)/sdk.tar.gz

export BUILD_NUMBER
export PRODUCT_BRAND
export PRODUCT_VERSION
export PRODUCT_VERSION_TEXT
export PRODUCT_VERSION_TEXT_SHORT

.PHONY: build
build: $(OUTPUT_CLI_RT) $(OUTPUT_SDK) $(MY_SOURCES)/MANIFEST
	$(call mkdir_clean,$(MY_MAIN_CDFILES)/client_install)
	install -m 755 $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_MAIN_CDFILES)/client_install/xe-cli-$(PRODUCT_VERSION)-$(BUILD_NUMBER).$(DOMAIN0_ARCH_OPTIMIZED).rpm
	# Delete this as soon as xenrt has been updated to fetch the file from
	# the new place:
	$(call mkdir_clean,$(MY_LINUX_CDFILES)/client_install)
	install -m 755 $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_LINUX_CDFILES)/client_install/xe-cli-$(PRODUCT_VERSION)-$(BUILD_NUMBER).$(DOMAIN0_ARCH_OPTIMIZED).rpm

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES_DIRSTAMP) $(OUTPUT_XAPI_SRC)
	rm -f $@
	/bin/sh ./srpms-to-manifest api $(MY_OUTPUT_DIR)/SRPMS > $@
	echo api gpl file $(JQUERY_PACK_DIST) >> $@
	echo api gpl file $(JQUERY_TV_DIST) >> $@

$(OUTPUT_XAPI_SRC):
	if cd $(REPO); then \
		while ! [ -d .git ]; do cd ..; done; \
		git archive --prefix=$$(echo $@ | sed -r "s/([^/]*\/)*([^./]*)(.[^./]*)*/\2\//") --format=tar HEAD | bzip2 -z > $@; \
	fi; # git archive in xen-api/mk/Makefile

$(OUTPUT_CLI_RT) $(OUTPUT_SDK): $(MY_MAIN_PACKAGES)/.dirstamp $(RPM_DIRECTORIES)
	$(MAKE) clean
	$(MAKE) -C $(REPO) version
	$(MAKE) -C $(REPO) srpm
	mkdir -p $(RPM_RPMSDIR)/$(DOMAIN_ZERO_OPTIMIZED)
	$(RPMBUILD) --rebuild --target $(DOMAIN0_ARCH_OPTIMIZED) $(MY_OUTPUT_DIR)/SRPMS/xapi-*.src.rpm
	# extract the cli-rt/ binaries from xapi-tests
	mkdir -p $(MY_OUTPUT_DIR)/tmp
	(cd $(MY_OUTPUT_DIR); rpm2cpio $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-tests*.rpm | cpio -i --make-directories; cd cli-rt; tar -zcf $(OUTPUT_CLI_RT) .)
	rm -rf $(MY_OUTPUT_DIR)/tmp

	# extract the xapi-docs
	mkdir -p $(OUTPUT_SDK_DIR)/tmp
	(cd $(OUTPUT_SDK_DIR)/tmp; rpm2cpio $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-docs*.rpm | cpio -i --make-directories; tar -zcf $(OUTPUT_SDK) .;zip -9rv $(OUTPUT_WEBZIP) .)
	rm -rf $(OUTPUT_SDK_DIR)/tmp

	# Unpack the xapi-datamodel-devel RPM for now
	rm -rf $(OUTPUT_DATAMODEL_DIR)
	mkdir -p $(OUTPUT_DATAMODEL_DIR)/tmp
	(cd $(OUTPUT_DATAMODEL_DIR)/tmp; rpm2cpio $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-datamodel-devel*.rpm | cpio -i --make-directories)
	mv $(OUTPUT_DATAMODEL_DIR)/tmp/usr/lib/ocaml/xapi-datamodel/* $(OUTPUT_DATAMODEL_DIR)
	rm -rf $(OUTPUT_DATAMODEL_DIR)/tmp

	# Make sure the right RPMs appear on the install CD
	mkdir $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-core-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-squeezed-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-tests-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-www-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_MAIN_PACKAGES)
	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xenops-*.rpm $(MY_MAIN_PACKAGES)
	test -z $(INSTALL_XCP_V6D) || cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-v6d-*.rpm $(MY_MAIN_PACKAGES)

.PHONY: clean
clean:
	rm -f $(OUTPUT_XAPI) $(OUTPUT_XAPI_DEVEL) $(OUTPUT_XAPI_SRC) $(OUTPUT_CLI_RT) $(OUTPUT_WEBZIP) $(OUTPUT_SDK)
	rm -rf $(OUTPUT_DATAMODEL_DIR) $(OUTPUT_DOCS) $(OUTPUT_SDK_DIR)
	$(MAKE) -C $(REPO) clean

=== docs/squeezed/Makefile ===
default:
	pdflatex main.tex
	pdflatex main.tex

=== debian/changelog ===
xen-api (1.3-16) unstable; urgency=low

  * Added missing xen-utils-common dependency (Closes: #655714).
  * Fixed the Vcs fields.
  * Fixed the dh_python2 calls as advised in debian-python@l.d.o.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Jan 2012 16:49:10 +0000

xen-api (1.3-15) unstable; urgency=low

  * python-xenapi was missing a Replaces: xcp-xapi (<< 1.3-14), since it has
  files that moved from it.
  * Fixed wrong path of xend.pid in xcp-xapi init.d error message.
  * dh_python2 calls reworked, since it was missing some .py files, and as a
  consequence python-xenapi didn't include a postinst for building .pyc files.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Jan 2012 03:32:39 +0000

xen-api (1.3-14) unstable; urgency=low

  [Thomas Goirand]
  * Now Recommends: smbfs so we can mount iso SR over samba.
  * Packages XenAPI python library in a separate binary.
  [Mike McClurg]
  * Added a debian/patches to make it possible to use override
  XCP reported version in /etc/xcp/xapi_version_override.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Dec 2011 15:00:43 +0000

xen-api (1.3-13) unstable; urgency=low

  * Initial release (Closes: #646720)

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Thu, 07 Jul 2011 21:50:18 +0100

=== debian/control ===
Source: xen-api
Section: admin
Priority: extra
Maintainer: Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>, Mike McClurg <mike.mcclurg@citrix.com>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, dh-ocaml, ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, libxcp-ocaml, libxcp-ocaml-dev, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev, libounit-ocaml-dev, python-all (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://www.xen.org/XCP/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xen-api.git
Vcs-Git: http://anonscm.debian.org/git/pkg-xen/xen-api.git

Package: xcp-xapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-xenapi (= ${source:Version}), xcp-squeezed, xcp-v6d, xcp-fe, xcp-storage-managers, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386 | xen-hypervisor-4.1, xen-utils-4.1, stunnel, hwdata, xcp-eliloader, xcp-xe
Recommends: xcp-vncterm, xcp-guest-templates, smbfs
Provides: xcp
Description: XCP XenAPI server
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package contains the XenAPI server, which provides the control plane for
 XCP hosts and resource pools.

Package: python-xenapi
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Replaces: xcp-xapi (<< 1.3-14)
Description: XCP XenAPI Python libraries
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package contains Python libraries to use XCP API.

Package: xcp-squeezed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386 | xen-hypervisor-4.1, xen-utils-common
Description: daemon in charge of memory ballooning for xen domains
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This daemon takes requests from xapi, the XenAPI server, in the form of
 xenstore trees and balloons domains up and down.

Package: xcp-v6d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: feature daemon for xcp-xapi
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This daemon manages the features that are enabled or disabled on an XCP host.

Package: libxenapi-ocaml-dev
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: OCaml bindings for the Xen API
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package contains OCaml libraries for the XenAPI. These will
 allow a program to communicate with an XCP host running xapi.

Package: xcp-xapi-debug
Section: debug
Architecture: any
Depends: xcp-xapi, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: Binary utils to help debug XCP
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 This package contains extra utilities for debugging XCP hosts.

Package: xcp-xe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line utility for managing XCP hosts
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, with support for a range of
 guest operating systems, Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data centers
 by combining the isolation and multitenancy capabilities of the Xen hypervisor
 with enhanced security, storage and network virtualization technologies to
 offer a rich set of virtual infrastructure cloud services. The platform
 also address user requirements for security, availability, performance and
 isolation across both private and public clouds.
 .
 XCP consolidates server workloads, enables savings in power, cooling, and
 management costs and thus contributing to environmentally sustainable
 computing, an increased ability to adapt to ever-changing IT environments,
 an optimized use of existing hardware, and an improved level of IT
 reliability.
 .
 xcp-xe provides the xe utility, the command line interface for XCP systems.
 This tool may be used to control a Debian XCP system from dom0, or it may be
 used from a non-Xen system to control another XCP or Citrix XenServer system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PLATFORM_NAME="XCP_Kronos"
export PLATFORM_VERSION="1.6.0"

%:
	dh $@ --with ocaml,python2

clean: 
	dh clean
	find . -name "*.omc" | xargs rm

override_dh_installinit:
	dh_installinit -pxcp-xapi -- defaults 23
	dh_installinit -pxcp-squeezed -- defaults 22
	dh_installinit -pxcp-v6d -- defaults 20

override_dh_python2:
	dh_python2
	dh_python2 /usr/lib/xcp

## xen-api 1.3.2

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,27 @@
 COMPILE_BYTE=no # bytecode version does not build
 export COMPILE_NATIVE COMPILE_BYTE
 
+# FHS stuff
+VARDIR=/var/xapi
+VARPATCHDIR=/var/patch
+ETCDIR=/etc/xensource
+OPTDIR=/opt/xensource
+PLUGINDIR=/etc/xapi.d/plugins
+HOOKSDIR=/etc/xapi.d
+INVENTORY=/etc/xensource-inventory
+XAPICONF=/etc/xapi.conf
+LIBEXECDIR=/opt/xensource/libexec
+SCRIPTSDIR=/etc/xensource/scripts
+SHAREDIR=/opt/xensource
+WEBDIR=/opt/xensource/www
+XHADIR=/opt/xensource/xha
+BINDIR=/opt/xensource/bin
+SBINDIR=/opt/xensource/bin
+
+export VARDIR ETCDIR OPTDIR PLUGINDIR HOOKSDIR INVENTORY VARPATCHDIR LIBEXECDIR XAPICONF SCRIPTSDIR SHAREDIR WEBDIR XHADIR BINDIR SBINDIR
+
 .PHONY: all
-all: version
+all: version ocaml/fhs.ml
 	omake phase1
 	omake phase2
 	omake phase3
@@ -81,23 +100,43 @@
 	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
 	let hostname = \"$(shell hostname)\" \n \
 	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
-	let product_version = \"$(PRODUCT_VERSION)\" \n \
-	let product_version_text = \"$(PRODUCT_VERSION_TEXT)\" \n \
-	let product_version_text_short = \"$(PRODUCT_VERSION_TEXT_SHORT)\" \n \
-	let platform_version = Util_inventory.lookup ~default:\"\" \"PLATFORM_VERSION\" \n \
-	let product_brand = \"$(PRODUCT_BRAND)\" \n \
+	let product_version = Util_inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
+	let product_version_text = Util_inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
+	let product_version_text_short = Util_inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
+	let platform_name = \"$(PLATFORM_NAME)\" \n \
+	let platform_version = \"$(PLATFORM_VERSION)\" \n \
+	let product_brand = Util_inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
 	let build_number = Util_inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
 	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
 	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
 	> ocaml/util/version.ml
 
- .PHONY: clean
+ocaml/fhs.ml :
+	@printf "(* This file is autogenerated by xen-api.git/Makefile *)\n \
+	let vardir=\"$(VARDIR)\"\n \
+	let etcdir=\"$(ETCDIR)\"\n \
+	let optdir=\"$(OPTDIR)\"\n \
+	let plugindir=\"$(PLUGINDIR)\"\n \
+	let inventory=\"$(INVENTORY)\"\n \
+	let hooksdir=\"$(HOOKSDIR)\"\n \
+	let libexecdir=\"$(LIBEXECDIR)\"\n \
+	let xapiconf=\"$(XAPICONF)\"\n \
+	let scriptsdir=\"$(SCRIPTSDIR)\"\n \
+	let varpatchdir=\"$(VARPATCHDIR)\"\n \
+	let webdir=\"$(WEBDIR)\"\n \
+	let xhadir=\"$(XHADIR)\"\n \
+	let bindir=\"$(BINDIR)\"\n \
+	let sbindir=\"$(SBINDIR)\"\n \
+	let sharedir=\"$(SHAREDIR)\"\n" \
+	> ocaml/fhs.ml
+ 
+.PHONY: clean
  clean:
 
 .PHONY: xapi.spec
 xapi.spec: xapi.spec.in
 	sed -e 's/@RPM_RELEASE@/$(shell git rev-list HEAD | wc -l)/g' < $< > $@
-	sed -i "s!@BASE_PATH@!${BASE_PATH}!g" $@
+	sed -i "s!@OPTDIR@!${OPTDIR}!g" $@
 
 .PHONY: srpm
 srpm: xapi.spec

=== mk/Makefile ===
--- 
+++ 
@@ -28,6 +28,8 @@
 OUTPUT_SDK             = $(MY_OUTPUT_DIR)/sdk.tar.gz
 
 export BUILD_NUMBER
+export PLATFORM_NAME
+export PLATFORM_VERSION
 export PRODUCT_BRAND
 export PRODUCT_VERSION
 export PRODUCT_VERSION_TEXT
@@ -80,12 +82,14 @@
 	# Make sure the right RPMs appear on the install CD
 	mkdir $(MY_MAIN_PACKAGES)
 	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-core-*.rpm $(MY_MAIN_PACKAGES)
+	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-networkd-*.rpm $(MY_MAIN_PACKAGES)
 	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-squeezed-*.rpm $(MY_MAIN_PACKAGES)
 	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-tests-*.rpm $(MY_MAIN_PACKAGES)
 	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-www-*.rpm $(MY_MAIN_PACKAGES)
 	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xe-*.rpm $(MY_MAIN_PACKAGES)
 	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-xenops-*.rpm $(MY_MAIN_PACKAGES)
-	test -z $(INSTALL_XCP_V6D) || cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-v6d-*.rpm $(MY_MAIN_PACKAGES)
+	mkdir $(MY_XCP_PACKAGES)
+	cp $(RPM_RPMSDIR)/$(DOMAIN0_ARCH_OPTIMIZED)/xapi-v6d-*.rpm $(MY_XCP_PACKAGES)
 
 .PHONY: clean
 clean:

=== docs/evolution/Makefile ===
default: figures
	pdflatex main.tex
	pdflatex main.tex

# The following depends on graphviz.
# To install graphviz, download the graphviz-rhel.repo file and save it
# (as root) in /etc/yum.repos.d/. Then do "yum install graphviz".

figures:
	dot -Tpdf evolution.dot -o evolution.pdf

=== ocaml/idl/binding_sanity_checks/Makefile ===
default: all

clean: java-clean python-clean
	-rm *.svg
	-rm *.png
	-rm sanitycheckmetrics

#JAVA SECTION
#where is the source?
JAVA_OBJ=../java_binding/obj/
JAVA_XENAPI=$(JAVA_OBJ)com/xensource/xenapi/

PROGRAMJAVAFILES = $(wildcard *.java) 
BINDINGJAVAFILES = $(wildcard $(JAVA_XENAPI)*.java)

JAVAFILES  = $(PROGRAMJAVAFILES) $(BINDINGJAVAFILES) 
CLASSFILES = $(JAVAFILES:.java=.class)

CLASSPATH  = .:$(JAVA_OBJ):$(JAVA_OBJ)xmlrpc-client-3.1.jar:$(JAVA_OBJ)xmlrpc-common-3.1.jar:$(JAVA_OBJ)ws-commons-util-1.0.2.jar

#what are the build rules?
#.SECONDARY:  #stops make deleting the class files because they're intermediates

%.run: %.class binding SanityCheckSkeleton.class
	java -cp ${CLASSPATH} $*

%.class : %.java
	javac -cp ${CLASSPATH} $<


#what are the targets?
all: binding $(CLASSFILES)

binding: $(BINDINGJAVAFILES)
	javac -cp ${CLASSPATH} $(BINDINGJAVAFILES)
	touch binding

docs: $(JAVAFILES)
	javadoc -classpath ${CLASSPATH} -d doc -link http://java.sun.com/javase/6/docs/api $(JAVAFILES) 

java-clean:
	-rm *.class
	-rm $(JAVA_OBJ)*.class
	-rm $(XENAPI)*.class
	-rm -rf doc
	-rm binding

#special targets for running files with command line options
miamigetAllRecords: GetAllRecordsOfAllTypes.class binding SanityCheckSkeleton.class
	java -cp ${CLASSPATH} GetAllRecordsOfAllTypes miami


riogetAllRecords: GetAllRecordsOfAllTypes.class binding SanityCheckSkeleton.class
	java -cp ${CLASSPATH} GetAllRecordsOfAllTypes rio


#PYTHON SECTION
%.run: %.py
	./$<


python-clean:
	-rm *.pyc

=== debian/changelog ===
xen-api (1.3.2-6) unstable; urgency=low

  [Martin Pitt <martin.pitt@ubuntu.com>]
  * debian/control, debian/README.Debian: Move from smbfs (which is not built
    any more) to cifs-utils.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 May 2012 18:01:35 +0000

xen-api (1.3.2-5) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #663473
  * [Debconf translation updates]
  * Polish (Michał Kułach).  Closes: #665977
  * Russian (Yuri Kozlov).  Closes: #665994
  * Danish (Joe Hansen).  Closes: #666518
  * Czech (Michal Simunek).  Closes: #666551
  * French (Thomas Vincent).  Closes: #667549
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #668090
  * Italian (Beatrice Torracca).  Closes: #668162
  * Spanish; (Camaleón).  Closes: #668183
  * German (Chris Leick).  Closes: #666712
  * Swedish (Martin Bagge / brother).  Closes: #668290
  * Portuguese (Miguel Figueiredo).  Closes: #668310
  * Dutch; (Jeroen Schot).  Closes: #668527
  * Simplified Chinese (Cao Wei / 曹玮).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Apr 2012 19:20:40 +0000

xen-api (1.3.2-4) unstable; urgency=low

  * Added missing dependency on pciutils.
  * xcp-networkd should have been depending on debconf, not xcp-xapi, this is
  now corrected.
  * Bumped Standard-Version (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Mar 2012 11:22:14 +0000

xen-api (1.3.2-3) unstable; urgency=low

  * Added /etc/xen as an empty directory for xcp-networkd (Closes: #663352).

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Mar 2012 22:25:05 +0000

xen-api (1.3.2-2) unstable; urgency=low

  * New upstream release.
  * Fixes missing lsb-base dependency needed by all daemons init.d scripts.
  * Init scripts fail gracefully when preconditions not met
  [v 1.3.2-2]
  * xcp-networkd depends on openvswitch-datapath-dkms
  * xcp-networkd.init creates missing network.conf
  * Fix bug in vif hotplug script which prevented vm shutdowns
  [v 1.3.2-1]
  * New upstream feature: networkd.
  * BUG: fix service names in xe-toolstack-restart
  * BUG: fix errors in XenAPI.py
  [v 1.3.1-3]
  * BUG: remove erroneous vif plug patch
  * BUG: fix xe path in xe-mount-iso-sr
  [v 1.3.1-2]
  * Noop: merge package updates 1.3-15 and 1.3.1-1

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Feb 2012 03:14:30 +0000

=== debian/control ===
Source: xen-api
Section: admin
Priority: extra
Maintainer: Pkg Xen <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>, Mike McClurg <mike.mcclurg@citrix.com>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, dh-ocaml, ocaml-native-compilers, ocaml-findlib, camlp4, camlp4-extra, autotools-dev, libtype-conv-camlp4-dev, libxmlm-ocaml-dev, uuid-dev, libxcp-ocaml, libxcp-ocaml-dev, omake, libxen-ocaml-dev, libxen-ocaml, libpam-dev, zlib1g-dev, xen-utils, libxen-dev, libounit-ocaml-dev, python-all (>= 2.6.6-3~), po-debconf
Standards-Version: 3.9.3.1
Homepage: http://www.xen.org/products/cloudxen.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xen-api.git
Vcs-Git: http://anonscm.debian.org/git/pkg-xen/xen-api.git

Package: xcp-xapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, lsb-base, pciutils, python-xenapi (= ${source:Version}), xcp-squeezed, xcp-v6d, xcp-fe, xcp-storage-managers, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386 | xen-hypervisor-4.1, xen-utils-4.1, stunnel, hwdata, xcp-eliloader, xcp-xe, xcp-networkd
Recommends: xcp-vncterm, xcp-guest-templates, cifs-utils
Provides: xcp
Description: Xen Cloud Platform - XenAPI server
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains the XenAPI server, which provides the control plane
 for XCP hosts and resource pools.

Package: python-xenapi
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Replaces: xcp-xapi (<< 1.3-14)
Description: Xen Cloud Platform - XenAPI Python libraries
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains Python libraries to use the XCP API.

Package: xcp-squeezed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, xen-hypervisor-4.1-amd64 | xen-hypervisor-4.1-i386 | xen-hypervisor-4.1, xen-utils-common
Description: Xen Cloud Platform - memory ballooning daemon
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This daemon takes requests from xapi, the XenAPI server, in the form of
 xenstore trees, and can balloons domains up and down.

Package: xcp-v6d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Xen Cloud Platform - feature daemon
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This daemon manages the features that are enabled or disabled on an XCP host.

Package: libxenapi-ocaml-dev
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: Xen Cloud Platform - OCaml bindings
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains OCaml libraries for the XenAPI. These will
 allow a program to communicate with an XCP host running xapi.

Package: xcp-xapi-debug
Section: debug
Architecture: any
Depends: xcp-xapi, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: Xen Cloud Platform - debugging tools
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package contains extra binary utilities for debugging XCP hosts.

Package: xcp-xe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xen Cloud Platform - command-line utilities
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package provides the xe utility, the command-line interface for XCP
 systems. This tool can be used from dom0 to control a Debian XCP system,
 or from a non-Xen system to control an XCP or Citrix XenServer system.

Package: xcp-networkd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, debconf, ethtool, bridge-utils, iproute, isc-dhcp-client, procps, openvswitch-switch, module-init-tools, openvswitch-datapath-dkms
Description: Xen Cloud Platform - network configuration daemon
 The Xen Cloud Platform (XCP) is a server virtualization and cloud
 computing platform, with support for a range of guest operating systems,
 including Linux network and storage support.
 .
 XCP addresses the needs of cloud providers, hosting services and data
 centers by combining the isolation and multitenancy capabilities of the
 Xen hypervisor with enhanced security, storage, and network
 virtualization technologies to offer a rich set of virtual infrastructure
 cloud services. The platform also addresses user requirements for
 security, availability, performance, and isolation across both private
 and public clouds.
 .
 XCP consolidates server workloads, and enables savings in power, cooling,
 and management costs. This improves reliability and adaptability in
 ever-changing IT environments, with optimized use of existing hardware,
 and contributes to environmentally sustainable computing.
 .
 This package provides a network configuration daemon for xcp-xapi, which
 handles the configuration of network interfaces and network bridges (either
 Linux or Open vSwitch) for xcp-xapi.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	dh_installinit -pxcp-xapi -- defaults 23
 	dh_installinit -pxcp-squeezed -- defaults 22
 	dh_installinit -pxcp-v6d -- defaults 20
+	dh_installinit -pxcp-networkd -- defaults 20
 
 override_dh_python2:
 	dh_python2

=== debian/watch ===
version=3
https://github.com/jonludlam/xen-api/tags /jonludlam/xen-api/tarball/master/(.+)
